package com.badlogic.drop;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input.Keys;
import com.badlogic.gdx.Screen;
import com.badlogic.gdx.graphics.GL20;
import com.badlogic.gdx.scenes.scene2d.InputEvent;
import com.badlogic.gdx.scenes.scene2d.Stage;
import com.badlogic.gdx.scenes.scene2d.ui.Label;
import com.badlogic.gdx.scenes.scene2d.ui.TextButton;
import com.badlogic.gdx.scenes.scene2d.utils.ClickListener;
import com.badlogic.gdx.utils.viewport.ScreenViewport;

public class MainMenuScreen implements Screen {

	private Drop game;
	private Stage ui;
	private Label l;
	private TextButton start;
	private TextButton exit;
	
	public MainMenuScreen(final Drop game){
		this.game = game;
		
		ui = new Stage(new ScreenViewport(), game.batch);
		Gdx.input.setInputProcessor(ui);
		
		l = new Label("Droprain", game.skin);
		l.setPosition(Gdx.graphics.getWidth()/2-l.getWidth()/2, Gdx.graphics.getHeight()-100);
		ui.addActor(l);
		
		start = new TextButton("Play", game.skin);
		start.setPosition(Gdx.graphics.getWidth()/2-start.getWidth()/2, Gdx.graphics.getHeight()-200);
		ui.addActor(start);
		start.addListener(new ClickListener(){
			public void clicked(InputEvent event, float x, float y){
				game.setScreen(new GameScreen(game));
				dispose();
			}
		});
		
		exit = new TextButton("Exit", game.skin);
		exit.setPosition(Gdx.graphics.getWidth()/2-exit.getWidth()/2, Gdx.graphics.getHeight()-300);
		ui.addActor(exit);
		exit.addListener(new ClickListener(){
			public void clicked(InputEvent event, float x, float y){
				Gdx.app.exit();
				dispose();
			}
		});
	}
	
	@Override
	public void render(float delta) {
		Gdx.gl.glClearColor(0, 0, 0.2f, 1);
        Gdx.gl.glClear(GL20.GL_COLOR_BUFFER_BIT);
        ui.act(delta);
	    ui.draw();
	}
	
	@Override
	public void resize(int width, int height) {
		// TODO Auto-generated method stub

	}

	@Override
	public void show() {
		// TODO Auto-generated method stub

	}

	@Override
	public void hide() {
		// TODO Auto-generated method stub

	}

	@Override
	public void pause() {
		// TODO Auto-generated method stub

	}

	@Override
	public void resume() {
		// TODO Auto-generated method stub

	}

	@Override
	public void dispose() {
		// TODO Auto-generated method stub

	}

}
